gwc (0.22.05-1) unstable; urgency=medium

  * New upstream version 0.22.05
  * Drop gcc 10 patch, applied by upstream
  * d/control:
    + Bump dh-compat to 13
    + Bump Standards-Version to 4.6.0
    + Set Rules-Requires-Root: no
    + Add myself as uploader
  * d/copyright: http -> https
    + Add myself to the d/ section
  * Add d/upstream/metadata
  * Bump d/watch version

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 03 Oct 2021 23:06:04 +0200

gwc (0.22.04-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add fix from Logan Rosen for FTBFS with gcc 10. (Closes: #957326)

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 08:35:50 +0200

gwc (0.22.04-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/control:
    - Bump debhelper compat to 12.
    - Bump Standards-Version.
  * debian/patches: Refreshed.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Sep 2019 18:49:52 +0200

gwc (0.22.01-1) unstable; urgency=medium

  * New upstream version 0.22.01
  * Introduce postclone.sh script to ignore .pc/ dir.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 09 Aug 2017 20:19:02 +0200

gwc (0.22-2) unstable; urgency=medium

  * Fix copyright file.
  * Syntax fix in changelog.
  * Not install icon-theme.cache file. (Closes: #868841)
  * Set not parallel build. (Closes: #868858)
  * Add patch to not strip binaries.
  * Not install extra upstream docs files.
  * Fix dh version.
  * Disable mp3 and ogg support as they are broken.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 19 Jul 2017 20:55:04 +0200

gwc (0.22-1) unstable; urgency=medium

  * Update watch file.
  * Remove old repacking scripts.
  * New upstream version 0.22 (Closes: #277608)
    (Closes: #868387) (Closes: #829876) (Closes: #277616)
  * Restore .gitignore file
  * Install upstream icon
  * Patches applied upstream.
  * Bump Standards.
  * Update copyright file.
  * Update doc-base file.
  * Install upstream icon and desktop file.
  * Update man pages.
  * Remove gnome B-D.
  * Enable mp3.
  * Build with ALSA only. (Closes: #690217)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 19 Jul 2017 00:59:33 +0200

gwc (0.21.19~dfsg0-7) unstable; urgency=medium

  * Patches forwarded.
  * Add patch to fix pointer truncation issues. (Closes: #852082)
    Thanks to James Cowgill <jcowgill@debian.org>

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 24 Jan 2017 19:45:48 +0100

gwc (0.21.19~dfsg0-6) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Bump Standards.
  * Fix VCS fields.
  * Drop menu file.
  * Fix hardening.
  * Avoid useless linking.
  * Drop dbg package in favour of dbgsym.
  * Tune .gitignore file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 29 Dec 2016 14:38:28 +0100

gwc (0.21.19~dfsg0-5) unstable; urgency=medium

  * Team upload.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Nov 2016 12:25:46 +0000

gwc (0.21.19~dfsg0-4) unstable; urgency=low

  * Bump Standards.
  * Keywords added to desktop file.
  * Added patch to build with clang. (Closes: #750369)
  * Added patch to fix typos. (Closes: #596693)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 10 Aug 2014 16:09:40 +0200

gwc (0.21.19~dfsg0-3) unstable; urgency=low

  * Fix FTBFS due to Makefile's malformed target. (Closes: #724209)

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Oct 2013 20:01:57 +0100

gwc (0.21.19~dfsg0-2) unstable; urgency=low

  * Upload to unstable.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 15 May 2013 00:20:25 +0200

gwc (0.21.19~dfsg0-1) experimental; urgency=low

  * New upstream release:
    - Bugfixes:
      + warning on opening audio device incorrectly displayed pulse audio
        message when neither alsa or pulse audio was being used.
      + Encoding to ogg or mp3 has always been broken, can only encode to
        once during GWC session.  Fixed by using named pipe.
    - New features:
      + Simple front end for encoding to MP3s.
  * Bump debhelper requirements.
  * Remove DM-Upload-Allowed field, not needed anymore.
  * Fix Vcs fields.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 07 Feb 2013 10:31:33 +0000

gwc (0.21.17~dfsg0-2) unstable; urgency=medium

  * debian/patches/0001-buildsystem.patch:
    - Fix installation path of GNOME stuff (Closes: #669932)

 -- Alessio Treglia <alessio@debian.org>  Wed, 25 Apr 2012 03:04:17 +0200

gwc (0.21.17~dfsg0-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Little fix in  menu file

  [ Alessio Treglia ]
  * New upstream bugfix release:
    - Remove executable permissions from undo and .gwc files.
    - Alsa device was not opened correctly with interleaved samples.
    - Create cdrdao toc file not using marker pairs was badly broken.
  * Refresh patches.
  * Remove 0002-fix_undo_files_permissions.patch, applied upstream.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Apr 2012 09:56:06 +0200

gwc (0.21.16~dfsg-3) unstable; urgency=low

  * Don't set the executable bit on the generated undo
    files (Closes: #277615).

 -- Alessio Treglia <alessio@debian.org>  Thu, 09 Jun 2011 10:51:56 +0200

gwc (0.21.16~dfsg-2) unstable; urgency=low

  * Add -g to CFLAGS.

 -- Alessio Treglia <alessio@debian.org>  Tue, 17 May 2011 17:57:45 +0200

gwc (0.21.16~dfsg-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New maintainer (Closes: #576615).
  * New upstream release (Closes: #593851).
  * Switch to 3.0 (quilt) format.
  * Switch to debhelper 7.
  * Drop CDBS.
  * Bump debian/compat up to 7.
  * Change Maintainer to pkg-multimedia, add Alessio and
    me as uploaders.
  * Apply one_dep_per_line style.
  * Bump Standards-Version.
  * Vcs* fields added.
  * Add .gitignore file to skip quilt files in the .pc/ directory.
  * Add gbp config file.
  * Upgrade copyright file to revision 166

  [ Alessio Treglia ]
  * ACK NMUs 0.21.05-1.2 and 0.21.05-1.1.
  * Remove gwc-0.21-05.tgz.cdbs-config_list, we do no longer use CDBS.
  * debian/patches/0001-buildsystem.patch:
    - Set DESTDIR and install files into the proper path.
    - Don't strip binaries when installing.
    - Don't rely on gnome-config anymore, use pkg-config instead.
  * Remove 01_remove_archflags.patch, no longer needed.
  * Delete 0{2_destdir,3_dont_strip,4_no_gnome_config}.patch patches,
    replaced by 0001-buildsystem.patch.
  * debian/control:
    - Add DM-Upload-Allowed: yes.
    - Sort build-dependencies.
    - Demote yelp | www-browser to Suggests field.
  * Enable Ogg/Vorbis support.
  * debian/copyright:
    - Add a note about the repacking.
    - Group files by license.
  * Enable parallel builds.

 -- Alessio Treglia <alessio@debian.org>  Mon, 16 May 2011 13:44:09 +0200

gwc (0.21.05-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove unnecessary build-dep on libgnome-dev. (Closes: #509463).
    + 04_no_gnome_config.patch - Replace gnome-config call with pkg-config.

 -- Barry deFreese <bdefreese@debian.org>  Thu, 01 Jan 2009 18:31:28 -0500

gwc (0.21.05-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add .xpm desktop icon. (Closes: #299355).
    + Update .desktop and menu file accordingly.
    + Thanks to Tim Hall for the file.
  * Fix executable name in .desktop file.
    + Remove deprecated Encoding tag.
  * Move fftw3-dev build-dep to libfftw3-dev.
  * Move Homepage from package description to source stanza.
  * debian/copyright: Update license info. (Closes: #435302).
    + Add copyright holder.
  * 03_dont_strip.patch: Remove -s on install. (Closes: #437143).
  * Update help file path in gwc.1. (Closes: #370716).
  * Fix doc base section.
  * Update Gnome to GNOME in package description.
  * Bump Standards Version to 3.8.0.
    + Menu policy transition.

 -- Barry deFreese <bdefreese@debian.org>  Thu, 11 Dec 2008 11:01:05 -0500

gwc (0.21.05-1) unstable; urgency=low

  * New upstream version (closes: #392066)
  * Fixed watch file
  * Added homepage to description
  * Standards version set to 3.7.2

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 23 May 2006 15:09:43 +0200

gwc (0.21.03-1) unstable; urgency=low

  * New upstream version

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 20 Oct 2005 09:29:57 +0200

gwc (0.20.10-3) unstable; urgency=low

  * Added patch for gcc 4.0 (closes: #319533)
  * Remove prerm.es and conffiles.ex
  * added logo to menu file (closes: #299355)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Sat, 23 Jul 2005 14:33:40 +0200

gwc (0.20.10-2) unstable; urgency=low

  * Removed the -arch flag for compilation (closes: 298924)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 14 Mar 2005 13:27:47 +0100

gwc (0.20.10-1) unstable; urgency=low

  * New upstream version

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue,  8 Mar 2005 11:21:42 +0100

gwc (0.20.07-1) unstable; urgency=low

  * New upstream version (closes: 269780)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 15 Sep 2004 10:46:11 +0200

gwc (0.20.02-5) unstable; urgency=low

  * If yelp is not found, start sensible-browser for browsing help file
    (closes: #265956)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 25 Aug 2004 12:01:40 +0200

gwc (0.20.02-4) unstable; urgency=low

  * Changed name of executable to gnome-wavecleaner, because of conflict
    with geneweb (closes: 252621)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri,  4 Jun 2004 18:15:14 +0200

gwc (0.20.02-3) unstable; urgency=low

  * fixed ./ path problem in meschach (closes: 252193)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed,  2 Jun 2004 11:03:48 +0200

gwc (0.20.02-2) unstable; urgency=low

  * Removed -mcpu= and -arch flags
  * Added dependency on yelp, the gnome help browser (closes: 251665).

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue,  1 Jun 2004 18:01:40 +0200

gwc (0.20.02-1) unstable; urgency=low

  * Initial Release (closes: 201336).

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 29 Mar 2004 19:08:15 +0200
